Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Problemen met snap  (gelezen 117 keer)

Offline Johan Velthuizen

  • Lid
    • http://www.velthuizen.nl
  • Steunpunt: Nee
Problemen met snap
« Gepost op: 2017/12/27, 13:48:05 »
Ik probeer om wat apps te draaien via snap op mijn Ubuntu 16.04 LTS en Ubuntu 17.10 machines. Het installeren geeft geen probleem en ik zie ook het start Icon in mijn menu maar als ik deze aanklik lijkt er niets te gebeuren.
Echter als ik deze apps via mijn terminal start dan zie ik onderstaande melding:

snap-confine has elevated permissions and is not confined but should be. Refusing to continue to avoid permission escalation attacks

Nu heb ik het hele net al afgestruind naar een oplossing maar kan niets zinnigs vinden , de ene keer hebben ze het over de kernel die niet goed zou zijn maar ik heb diverse kernels geprobeerd maar zie geen verschil.
Ook wordt de snap versie genoemd ook deze is up to date.

snap version
snap    2.29.4.2
snapd   2.29.4.2
series  16
ubuntu  16.04
kernel  4.7.0-040700rc3-generic

Is er iemand op dit forum die al ervaring heeft opgedaan met snap?

Offline maasnet

  • Lid
    • m-vd-hoeven
  • Steunpunt: Ja
Re: Problemen met snap
« Reactie #1 Gepost op: 2017/12/27, 13:51:04 »
Ik probeer om wat apps te draaien via snap op mijn Ubuntu 16.04 LTS en Ubuntu 17.10 machines. Het installeren geeft geen probleem en ik zie ook het start Icon in mijn menu maar als ik deze aanklik lijkt er niets te gebeuren.
Echter als ik deze apps via mijn terminal start dan zie ik onderstaande melding:

snap-confine has elevated permissions and is not confined but should be. Refusing to continue to avoid permission escalation attacks

Nu heb ik het hele net al afgestruind naar een oplossing maar kan niets zinnigs vinden , de ene keer hebben ze het over de kernel die niet goed zou zijn maar ik heb diverse kernels geprobeerd maar zie geen verschil.
Ook wordt de snap versie genoemd ook deze is up to date.

snap version
snap    2.29.4.2
snapd   2.29.4.2
series  16
ubuntu  16.04
kernel  4.7.0-040700rc3-generic

Is er iemand op dit forum die al ervaring heeft opgedaan met snap?


Dit al gezien --> https://askubuntu.com/questions/888497/snap-confine-refuses-to-launch-application-to-avoid-permission-attack ??????
Je ziet wel wat een ander heeft, maar je ziet niet wat hij mist.

OS: Ubuntu 16.04/Xubuntu 16.04/Ubuntu 17.10; RPI: Raspbian Jessie; Asus 1005PE: Q4OS; Linux Lite 3.4; W10
***Steunpunt***  voor andere steunpunten: https://kaart.ubuntu-nl.org/

Offline Johan Velthuizen

  • Lid
    • http://www.velthuizen.nl
  • Steunpunt: Nee
Re: Problemen met snap
« Reactie #2 Gepost op: 2017/12/27, 14:06:49 »
Ja dat artikel heb ik gezien maar geeft ook niet de oplossing, de melding blijft  :(

Offline Johan Velthuizen

  • Lid
    • http://www.velthuizen.nl
  • Steunpunt: Nee
Re: Problemen met snap
« Reactie #3 Gepost op: 2017/12/27, 14:57:59 »
Toch maar even handmatig naar de laatste Kernel geupgrade  en het probleem lijkt opgelost, in ieder geval is de foutmelding verdwenen.

snap    2.29.4.2
snapd   2.29.4.2
series  16
ubuntu  16.04
kernel  4.10.0-42-generic